> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okeyproxy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query sec-user information

> Query specific sec-user account information.



## OpenAPI

````yaml GET /api/v2/secUser/info
openapi: 3.0.1
info:
  title: okey
  description: ''
  version: 1.0.0
servers:
  - url: https://api.okeyproxy.com/ipglobal-api
security: []
tags: []
paths:
  /api/v2/secUser/info:
    get:
      tags: []
      summary: Query sec-user information
      description: Query specific sec-user account information.
      parameters:
        - name: secUsername
          in: query
          description: Sec-user account. Letters and numbers only, up to 40 characters.
          required: true
          schema:
            type: string
        - name: apiKey
          in: query
          description: Agent API key used for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  credentials:
                    type: array
                    items:
                      type: object
                      properties:
                        proxyType:
                          type: integer
                          title: ''
                          description: >-
                            Rotating proxies type. 1 for Starter, 2 for
                            Advanced, 3 for Premium.
                        account:
                          type: string
                          description: Account for the corresponding proxy type
                        password:
                          type: string
                          description: Password for the corresponding proxy type
                      required:
                        - proxyType
                        - account
                        - password
                    title: Proxy credentials
                  plan:
                    type: array
                    items:
                      type: object
                      properties:
                        planId:
                          type: string
                          description: Plan ID
                        proxyType:
                          type: integer
                          title: ''
                          description: >-
                            Rotating proxies type. 1 for Starter, 2 for
                            Advanced, 3 for Premium.
                        traffic:
                          type: number
                          description: Plan traffic (in GB)
                        availableTraffic:
                          type: number
                          description: Remaining traffic (in GB)
                        effectTime:
                          type: string
                          title: ''
                          description: 'Effective time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)'
                        expireTime:
                          type: string
                          title: ''
                          description: 'Expiration time. Format: yyyy-MM-dd HH:mm:ss (UTC+8)'
                        status:
                          type: integer
                          title: ''
                          description: >-
                            Plan status. 1 for enabled, 2 for disabled, 3 for
                            exhausted, 4 for expired
                      required:
                        - planId
                        - proxyType
                        - traffic
                        - availableTraffic
                        - effectTime
                        - expireTime
                        - status
                    title: All plans under this sec-user
                  userStatus:
                    type: integer
                    title: ''
                    description: Sec-user status. 1 for enabled, 2 for disabled
                  remarks:
                    type: string
                    description: Remarks for sec-user
                required:
                  - credentials
                  - plan
                  - userStatus
                  - remarks
              example:
                credentials:
                  - proxyType: 1
                    account: 2twi509632
                    password: erpe3jsg
                  - proxyType: 2
                    account: l6l9509632
                    password: erpe3jsg
                  - proxyType: 3
                    account: 6vyd509632
                    password: erpe3jsg
                plan:
                  - planId: '20250101161315357'
                    proxyType: 1
                    traffic: 1
                    availableTraffic: 1
                    effectTime: '2025-01-01 16:13:15'
                    expireTime: '2025-02-01 16:13:15'
                    status: 1
                userStatus: 1
                remarks: this is remarks
          headers: {}
      deprecated: false
      security: []

````